<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>Nummerreeks bekijken</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script>
		const BASE_PATH = '~%basePath%';
		const SEARCH_REQUEST = "~%js:searchRequest%";
		const PERMISSION = '~%permission%';
	</script>
</head>

<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%

<h1>~%firstLabel%&nbsp;&nbsp;t/m&nbsp;&nbsp;~%lastLabel%</h1>

<div class="center-screen" >
	<div class="small-input-container">
		<table>
			<tr>
				<td class="left-col">Topdesk Nummer</td>
				<td class="right-col">
					<a
						href="https://naturalis.topdesk.net/tas/secure/incident?action=lookup&lookup=naam&lookupValue=~%topdesk:topDeskId%"
						target="_blank">~%topDeskId%</a>
				</td>
				<td class="left-col">Status</td>
				<td class="right-col">~%statusDescription:status%</td>
			</tr>
			<tr>
				<td class="left-col">Aangevraagd door</td>
				<td class="right-col">~%requesterName%</td>
				<td class="left-col">Uitgevoerd door</td>
				<td class="right-col">~%userName%</td>
			</tr>
			<tr>
				<td class="left-col">Afdeling</td>
				<td class="right-col">~%departmentName%</td>
				<td class="left-col">Systeem</td>
				<td class="right-col">~%cmsName%</td>
			</tr>
			<tr>
				<td class="left-col">Instituut code</td>
				<td class="right-col">~%instituteCode%</td>
				<td class="left-col">Collectie Code</td>
				<td class="right-col">~%nvt:collectionCode%</td>
			</tr>
			<tr>
				<td class="left-col">Eerste Nummer</td>
				<td class="right-col">~%firstNumber%</td>
				<td class="left-col">Laatste Nummer</td>
				<td class="right-col">~%lastNumber%</td>
			</tr>				
			<tr>
				<td class="left-col">Aantal</td>
				<td class="right-col" colspan="3">~%amount%</td>
			</tr>
			<tr>
				<td class="left-col">Aangemaakt</td>
				<td class="right-col">~%dateCreated%</td>
				<td class="left-col">Bijgewerkt</td>
				<td class="right-col">~%dateModified%</td>
			</tr>
			~%%begin:commentsRow%
			<tr>
				<td class="left-col">Opmerkingen</td>
				<td class="right-col" colspan="3">
					<label for="comments"></label><textarea
						id="comments"
						rows="~%commentLineCount%"
						cols="70"
						disabled="disabled"
						style="border:none;background-color:transparent;font-size:90%;line-height:1.08;"
					>~%comments%</textarea>
				</td>
			</tr>
			~%%end:commentsRow%
			<tr>
				<td
					class="left-col"
					data-toggle="tooltip"
					title="De datum waarop het verzoek voor het eerst is afgehandeld. Als het verzoek sindsdien is heropend, aangepast en opnieuw afgehandeld, dan heeft dat *geen* invloed op de hier getoonde datum!"
					>Datum Afgehandeld</td>
				<td class="right-col">~%dateFirstClosed%</td>
				<td
					class="left-col"
					data-toggle="tooltip"
					title="Het aantal keren dat deze nummerreeks is uitgegeven (d.w.z. hoe vaak het verzoek is afgehandeld, heropend, afgehandeld, heropend, enz. enz.)"
				># Uitgegeven</td>
				<td class="right-col">~%dispenseCount%</td>
			</tr>
			~%%begin:layoutDisplay%
			<tr>
				<td class="left-col">Formaat</td>
				<td class="right-col" colspan="3">~%lastUsedLayout%</td>
			</tr>
			~%%end:layoutDisplay%
		</table>
		
		<div id="view-buttons-container">		

			~%%begin:statusOpen%
			<button class="btn btn-outline-primary" onclick="action('~%requestId%/lock')">
				Vergrendelen
			</button>	
			~%%end:statusOpen%
				
		
			~%%begin:statusLocked%
			<button class="btn btn-outline-primary" onclick="printSeries('~%requestId%','~%dispenseCount%','~%dateFirstClosed%')">
				Afdrukken
			</button>	
			<button class="btn btn-outline-primary" onclick="action('~%requestId%/unlock')">
				Ontgrendelen
			</button>	
			<button class="btn btn-outline-primary" onclick="action('~%requestId%/archive')">
				Afhandelen
			</button>	
			~%%end:statusLocked%	
			
		
			~%%begin:statusClosed%
			<button class="btn btn-outline-primary" onclick="action('~%requestId%/unarchive')">
				Heropenen
			</button>	
			~%%end:statusClosed%	
		
						
			<button class="btn btn-outline-primary" onclick="showListPage()">
				Sluiten
			</button>	
		</div>
	</div>
</div>

~%%include:bsDialog:/html/include/BSDialog.html%

<script>	
$(function() {
	$("#simpleSearchTextInput").css("display", "none");	
	$("#simpleSearchButton").css("display", "none");
});

// Remove edit buttons for users with only VIEW permission
$('document').ready(function() {
	if (PERMISSION === "VIEW") {
		// Inactivate all but the close button
		$("#view-buttons-container").children("button").each(function () {
			let txt = $.trim($(this).text().toUpperCase());
			if (txt !== "SLUITEN") {
				$(this).remove();
			}
		})
	}
});
</script>

</body>
</html>